# enable_gtkdoc: Toggle if gtkdoc stuff should be rebuilt
#	0 = no
#	1 = yes
%define enable_gtkdoc	0

# Note that this is NOT a relocatable package
%define api_version	2.0
%define lib_major	0
%define lib_name	%mklibname %{name}_ %{lib_major}
%define libgio_name	%mklibname gio%{api_version}_ %{lib_major}
%define develname	%mklibname -d %name
%define staticname	%mklibname -d -s %name

%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	A library of handy utility functions
Name:		glib%{api_version}
Version:	2.52.2
Release:	%mkrel 2
License:	LGPLv2+
Group:	System/Libraries
Source0:	https://download.gnome.org/sources/glib/%{url_ver}/glib-%{version}.tar.xz
Source1:	glib20.sh
Source2:	glib20.csh
# (tmb) disable deprecated schema warnings on mga3 like we did for mga2
Patch0:		glib-silence-deprecated-paths.patch
Patch1:		glib-2.38.0-GIO-xfce4-terminal-support.patch
# patches from upstream bgo#730332 to fix mga#13407
Patch2:		0001-Bug-730332-glib-uses-wrong-timezone-transition-with-.patch
Patch3:		0002-Bug-730332-Guard-against-reading-past-the-end-of-a-t.patch
Patch10:	0001-gmain-only-signal-GWakeup-right-before-or-during-a-b.patch
# patches from upstream bgo#7762994:
# upstream gobject introspection fix
URL:		http://www.gtk.org
Requires:	common-licenses
Requires:	shared-mime-info >= 0.70
BuildRequires:	pkgconfig(libpcre) >= 8.11
BuildRequires:	pkgconfig(mount)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(dbus-1) >= 1.2.14
BuildRequires:	gettext
BuildRequires:	libtool
BuildRequires:	locales-en
BuildRequires:	pkgconfig(libffi) >= 3.0.0
BuildRequires:	xsltproc
BuildRequires:	docbook-dtds
BuildRequires:	docbook-xsl
BuildRequires:	docbook-style-xsl
BuildRequires:	libxml2-utils
# ovitters adds elf support to gresource binary, needed to determine
#          gnome-shell requires
BuildRequires:	elfutils-devel
%if %enable_gtkdoc
BuildRequires:	gtk-doc >= 0.10
%endif

#gw this was required since 2.23.2 (new atomic OPs?)
%global __requires_exclude GLIBC_PRIVATE

%description
Glib is a handy library of utility functions. This C
library is designed to solve some portability problems
and provide other useful functionality which most
programs require.

Glib is used by GDK, GTK+ and many applications.

%package common
Summary:	data files used by glib
Group:		System/Libraries

%description common
Glib is a handy library of utility functions. This C
library is designed to solve some portability problems
and provide other useful functionality which most
programs require.

This package contains data used by glib library.

%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}
Provides:	glib2 = %{version}-%{release}
Provides:	libglib2 = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Conflicts:	libglib1.3_13

%description -n %{lib_name}
Glib is a handy library of utility functions. This C
library is designed to solve some portability problems
and provide other useful functionality which most
programs require.

Glib is used by GDK, GTK+ and many applications.
You should install Glib because many of your applications
will depend on this library.

This package contains the library needed to run programs dynamically
linked with the glib.

%package -n %{libgio_name}
Summary:	GIO is the input, output and streaming API of glib
Group:		%{group}
Requires:	%{lib_name} = %{version}
Requires(post):	%{lib_name} = %{version}
Recommends:	%{mklibname glib-networking-gnutls}

%description -n %{libgio_name}
GIO is the input, output and streaming API of glib. It on the one hand
provides a set of various streaming classes to access data from different
sources in a convenient way and on the other hand it provides a high level
file system abstraction to access file and directories not only local but also
on the network. For the latter you need to install gvfs.

%package -n %develname
Summary:	Static libraries and header files of %{name}
Group:		Development/C
Provides:	glib2-devel = %{version}-%{release}
Provides:	libglib2-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{libgio_name} = %{version}
Requires:	%{name}-common = %{version}
Requires:	glib-gettextize >= %{version}
Conflicts:	libglib1.3_13-devel
#gw for %{_datadir}/glib-%{api_version}/gdb
Conflicts:	glib-gettextize < 2.25.3
Obsoletes:	%mklibname -d %{name}_ 0

%description -n %develname
Header files for the support library for the GIMP's X libraries, which are
available as public libraries. GLIB includes generally useful data structures.

%package -n %staticname
Summary:	Static libraries and header files of %{name}
Group:		Development/C
Requires:	%develname = %{version}-%{release}
Provides:	glib2-static-devel = %{version}-%{release}
Provides:	libglib2-static-devel = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}
Conflicts:	%develname < 2.28.6-2

%description -n %staticname
Static libraries and files for the support library for the GIMP's X libraries,
which are available as public libraries. GLIB includes generally useful data
structures.

%package -n glib-gettextize
Summary:	Gettextize replacement
Group:		Development/Other

%description -n glib-gettextize
%{name} package is designed to replace gettextize completely.
Various gettext related files are modified in glib and gtk+ to
allow better and more flexible i18n; however gettextize overwrites
them with its own copy of files, thus nullifying the changes.
If this replacement of gettextize is run instead, then all gnome
packages can potentially benefict from the changes.

%prep
%setup -n glib-%{version} -q
%autopatch -p1

%build
autoreconf -vfi
%configure2_5x \
	--with-pcre=system \
	--enable-static \
	--disable-selinux \
	--disable-fam \
	--disable-systemtap \
%if !%enable_gtkdoc
	--enable-gtk-doc=no
%endif

%make

%check
#gw http://bugzilla.gnome.org/show_bug.cgi?id=440544
#make check

%install
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/50glib20.sh
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/50glib20.csh

%find_lang glib20

mv $RPM_BUILD_ROOT%{_bindir}/gio-querymodules $RPM_BUILD_ROOT%{_bindir}/gio-querymodules-%{__isa_bits}

#ghost files
touch %buildroot%_libdir/gio/modules/giomodule.cache \
      %buildroot%_datadir/glib-2.0/schemas/gschemas.compiled

# don't ship .a files for gio modules
rm -f %buildroot%_libdir/gio/modules/lib*a

# we don't want these
find %{buildroot} -name "*.la" -delete
rm -f $RPM_BUILD_ROOT%{_datadir}/glib-2.0/gdb/*.{pyc,pyo}
rm -f $RPM_BUILD_ROOT%{_datadir}/glib-2.0/codegen/*.{pyc,pyo}

# automatic gschema compilation on rpm installs/removals
%transfiletriggerpostun -n %{name}-common --  %_datadir/glib-2.0/schemas/
if [ -x /usr/bin/glib-compile-schemas ]; then
	/usr/bin/glib-compile-schemas --allow-any-name %_datadir/glib-2.0/schemas/
fi

%transfiletriggerin -n %{name}-common --  %_datadir/glib-2.0/schemas/
if [ -x /usr/bin/glib-compile-schemas ]; then
	/usr/bin/glib-compile-schemas --allow-any-name %_datadir/glib-2.0/schemas/
fi

# automatic update of gio module cache
%transfiletriggerpostun -n %{name}-common --  %{_libdir}/gio/modules/
%{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules
%transfiletriggerin -n %{name}-common --  %{_libdir}/gio/modules/
%{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules


%post -n %{libgio_name}
%if %_lib != lib
 %{_bindir}/gio-querymodules-64 %{_libdir}/gio/modules
%else
 %{_bindir}/gio-querymodules-32 %{_libdir}/gio/modules
%endif

%files common -f glib20.lang
%doc README
%config(noreplace) %{_sysconfdir}/profile.d/*
%_datadir/bash-completion/completions/gapplication
%_datadir/bash-completion/completions/gdbus
%_datadir/bash-completion/completions/gsettings
%_datadir/bash-completion/completions/gresource
%{_bindir}/gapplication
%{_bindir}/gdbus
%{_bindir}/gio
%{_bindir}/glib-compile-schemas
%{_bindir}/glib-compile-resources
%{_bindir}/gresource
%{_bindir}/gsettings
%{_mandir}/man1/gio-querymodules.1*
%_mandir/man1/glib-compile-schemas.1*
%_mandir/man1/glib-compile-resources.1*
%_mandir/man1/gsettings.1*
%{_mandir}/man1/gapplication.1*
%{_mandir}/man1/gdbus.1*
%{_mandir}/man1/gio.1*
%{_mandir}/man1/gresource.1*
%dir %_datadir/glib-2.0/
%dir %_datadir/glib-2.0/schemas/
%_datadir/glib-2.0/schemas/gschema.dtd
%ghost %_datadir/glib-2.0/schemas/gschemas.compiled
%_datadir/gettext/its/
%{_datadir}/glib-2.0/valgrind/*.*

%files -n %{lib_name}
%doc README
%{_libdir}/libglib-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgmodule-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgthread-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgobject-%{api_version}.so.%{lib_major}{,.*}

%files -n %{libgio_name}
%_bindir/gio-querymodules-*
%{_libdir}/libgio-%{api_version}.so.%{lib_major}{,.*}
%dir %_libdir/gio/
%dir %_libdir/gio/modules/
%ghost %_libdir/gio/modules/giomodule.cache

%files -n %develname
%doc AUTHORS NEWS
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/lib*.so
%{_libdir}/glib-%{api_version}
%{_datadir}/glib-%{api_version}/codegen
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_mandir}/man1/glib-genmarshal.1*
%{_mandir}/man1/glib-mkenums.1*
%{_mandir}/man1/gobject-query.1*
%{_mandir}/man1/gtester-report.1*
%{_mandir}/man1/gtester.1*
%{_mandir}/man1/gdbus-codegen.1*
%{_datadir}/aclocal/glib-%{api_version}.m4
%{_datadir}/aclocal/gsettings.m4
%{_bindir}/glib-genmarshal
%{_bindir}/glib-mkenums
%{_bindir}/gobject-query
%{_bindir}/gtester*
%{_bindir}/gdbus-codegen
%{_datadir}/gdb/auto-load%{_libdir}/lib*-gdb.py*
%{_datadir}/glib-%{api_version}/gdb

%files -n glib-gettextize
%{_bindir}/glib-gettextize
%_mandir/man1/glib-gettextize.1*
%{_datadir}/aclocal/glib-gettext.m4
%{_datadir}/glib-%{api_version}/gettext

%files -n %staticname
%{_libdir}/lib*.a


%changelog
* Fri May 19 2017 tv <tv> 2.52.2-2.mga6
+ Revision: 1103218
- Backport a gmain GWakeup patch to fix timedatex high CPU usage (mga#20881)

* Mon May 08 2017 ovitters <ovitters> 2.52.2-1.mga6
+ Revision: 1099672
- new version 2.52.2

* Sat Apr 08 2017 ovitters <ovitters> 2.52.1-1.mga6
+ Revision: 1096100
- new version 2.52.1

* Tue Mar 21 2017 ovitters <ovitters> 2.52.0-1.mga6
+ Revision: 1093962
- new version 2.52.0

* Mon Feb 13 2017 ovitters <ovitters> 2.50.3-1.mga6
+ Revision: 1085974
- new version 2.50.3

* Mon Nov 07 2016 ovitters <ovitters> 2.50.2-1.mga6
+ Revision: 1065635
- new version 2.50.2

* Mon Oct 10 2016 ovitters <ovitters> 2.50.1-1.mga6
+ Revision: 1060035
- new version 2.50.1

* Tue Sep 20 2016 tv <tv> 2.50.0-1.mga6
+ Revision: 1054600
- BR pkgconfig(mount)

  + ovitters <ovitters>
    - new version 2.50.0

* Sun Sep 18 2016 ovitters <ovitters> 2.49.7-1.mga6
+ Revision: 1053771
- new version 2.49.7

* Mon Aug 22 2016 ovitters <ovitters> 2.48.2-1.mga6
+ Revision: 1047876
- new version 2.48.2

  + tv <tv>
    - also recompile schemas & update gio modules on removal

* Tue May 10 2016 ovitters <ovitters> 2.48.1-1.mga6
+ Revision: 1011991
- new version 2.48.1
- dropped merged patch 5

* Wed Apr 27 2016 tv <tv> 2.48.0-3.mga6
+ Revision: 1006718
- patch 4: fix firefox crash (bgo#7762994)
- new release

* Tue Mar 22 2016 ovitters <ovitters> 2.48.0-2.mga6
+ Revision: 994199
- fix multilib conflicts

* Tue Mar 22 2016 ovitters <ovitters> 2.48.0-1.mga6
+ Revision: 994081
- new version 2.48.0

* Wed Mar 16 2016 ovitters <ovitters> 2.47.92-1.mga6
+ Revision: 991592
- new version 2.47.92

* Tue Feb 16 2016 ovitters <ovitters> 2.47.6-1.mga6
+ Revision: 962145
- new version 2.47.6

* Mon Feb 15 2016 tv <tv> 2.47.5-1.mga6
+ Revision: 960753
- adjust file list

  + ovitters <ovitters>
    - new version 2.47.5

* Thu Jan 14 2016 ovitters <ovitters> 2.47.4-2.mga6
+ Revision: 923084
- only recommend the gio gnutls module

* Wed Dec 16 2015 ovitters <ovitters> 2.47.4-1.mga6
+ Revision: 911052
- new version 2.47.4
- dropped merged patch 5

* Tue Dec 15 2015 ovitters <ovitters> 2.47.3-2.mga6
+ Revision: 910781
- add upstream patch for gobject introspection compilation

* Wed Nov 25 2015 ovitters <ovitters> 2.47.3-1.mga6
+ Revision: 906009
- new version 2.47.3

* Tue Nov 24 2015 ovitters <ovitters> 2.47.2-1.mga6
+ Revision: 905801
- new version 2.47.2

* Mon Nov 23 2015 ovitters <ovitters> 2.47.1-1.mga6
+ Revision: 904992
- new version 2.47.1

* Fri Nov 06 2015 ovitters <ovitters> 2.46.2-1.mga6
+ Revision: 898306
- new version 2.46.2

* Wed Oct 14 2015 ovitters <ovitters> 2.46.1-1.mga6
+ Revision: 891193
- new version 2.46.1

* Wed Sep 23 2015 fwang <fwang> 2.46.0-1.mga6
+ Revision: 882327
- 2.46.0

* Tue Sep 22 2015 wally <wally> 2.45.8-4.mga6
+ Revision: 882233
- drop verbosity from glib schemas filetrigger

* Tue Sep 22 2015 wally <wally> 2.45.8-3.mga6
+ Revision: 882223
- add %%transfiletriggerin scripts to a correct pkg

* Tue Sep 22 2015 wally <wally> 2.45.8-2.mga6
+ Revision: 882218
- temporarily add verbose output to glib schemas filetrigger to see if it's working

* Mon Sep 14 2015 ovitters <ovitters> 2.45.8-1.mga6
+ Revision: 879321
- new version 2.45.8

* Sat Sep 05 2015 tv <tv> 2.45.7-2.mga6
+ Revision: 873132
- switch to new upstream file trigger syntax

* Tue Sep 01 2015 ovitters <ovitters> 2.45.7-1.mga6
+ Revision: 871989
- new version 2.45.7

* Fri Aug 21 2015 tmb <tmb> 2.45.6-2.mga6
+ Revision: 867587
- rebuild for new gcc

* Wed Aug 19 2015 ovitters <ovitters> 2.45.6-1.mga6
+ Revision: 866025
- new version 2.45.6

* Wed Aug 19 2015 ovitters <ovitters> 2.45.5-1.mga6
+ Revision: 866016
- new version 2.45.5

* Tue Jul 21 2015 ovitters <ovitters> 2.45.4-1.mga6
+ Revision: 855843
- new version 2.45.4

* Tue Jun 23 2015 ovitters <ovitters> 2.45.3-1.mga6
+ Revision: 840550
- new version 2.45.3

* Sat Jun 20 2015 ovitters <ovitters> 2.45.2-1.mga6
+ Revision: 836816
- new version 2.45.2
- add recommends on libglib-networking (mga#15971)

* Fri May 08 2015 tmb <tmb> 2.42.1-2.mga5
+ Revision: 821490
- gio: Prevent hang when finalizing GThreadedSocketService
- gfile: make_directory_with_parents race condition
- gfile: Use g_error_matches

* Tue Nov 11 2014 ovitters <ovitters> 2.42.1-1.mga5
+ Revision: 796321
- new version 2.42.1

* Wed Oct 15 2014 umeabot <umeabot> 2.42.0-2.mga5
+ Revision: 747825
- Second Mageia 5 Mass Rebuild

* Mon Sep 22 2014 ovitters <ovitters> 2.42.0-1.mga5
+ Revision: 719199
- new version 2.42.0

* Tue Sep 16 2014 umeabot <umeabot> 2.41.5-3.mga5
+ Revision: 686608
- Rebuild to fix library dependencies
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude

* Tue Sep 16 2014 ovitters <ovitters> 2.41.5-1.mga5
+ Revision: 676963
- new version 2.41.5

  + tv <tv>
    - autoconvert to new prov/req excludes

* Tue Sep 02 2014 ovitters <ovitters> 2.41.4-1.mga5
+ Revision: 671052
- new version 2.41.4

* Sat Aug 16 2014 ovitters <ovitters> 2.41.3-1.mga5
+ Revision: 663950
- new version 2.41.3

* Sun Jul 20 2014 colin <colin> 2.41.2-1.mga5
+ Revision: 654720
- New version 2.41.2
- Rediff truncated timezone file guard patch

* Tue Jun 24 2014 ovitters <ovitters> 2.41.1-2.mga5
+ Revision: 639321
- update summary and description

* Tue Jun 24 2014 ovitters <ovitters> 2.41.1-1.mga5
+ Revision: 639179
- new version 2.41.1

* Sat Jun 07 2014 ovitters <ovitters> 2.41.0-1.mga5
+ Revision: 634328
- new version 2.41.0

* Sat May 24 2014 blino <blino> 2.40.0-2.mga5
+ Revision: 625252
- add patches from upstream bgo#730332 to fix wrong timezone parsing (mga#13407)

* Mon Mar 24 2014 ovitters <ovitters> 2.40.0-1.mga5
+ Revision: 608023
- new version 2.40.0

* Mon Mar 17 2014 ovitters <ovitters> 2.39.92-1.mga5
+ Revision: 604545
- new version 2.39.92

* Mon Mar 03 2014 ovitters <ovitters> 2.39.91-1.mga5
+ Revision: 599030
- new version 2.39.91

* Tue Feb 18 2014 ovitters <ovitters> 2.39.90-1.mga5
+ Revision: 594093
- new version 2.39.90

* Wed Feb 12 2014 ovitters <ovitters> 2.39.4-2.mga5
+ Revision: 589729
- build with libelf support

* Tue Feb 04 2014 ovitters <ovitters> 2.39.4-1.mga5
+ Revision: 582465
- new version 2.39.4

* Mon Jan 13 2014 tmb <tmb> 2.38.2-4.mga4
+ Revision: 566453
- GDBusObjectManagerClient: keep the manager alive while firing
  signals (bgo#719402)
- kqueue: fix a potential deadlock (bgo?\194?\164721074)
- gdesktopappinfo: Add missing annotations

* Tue Jan 07 2014 tv <tv> 2.38.2-3.mga4
+ Revision: 565322
- silent "No module named backtrace" warning when running gdb (bgo#613732)

* Mon Jan 06 2014 tv <tv> 2.38.2-2.mga4
+ Revision: 565176
- move the suggests on gvfs to gtk+3 (debloat, mga#8455)

* Tue Nov 12 2013 ovitters <ovitters> 2.38.2-1.mga4
+ Revision: 550851
- new version 2.38.2

* Tue Oct 22 2013 umeabot <umeabot> 2.38.1-2.mga4
+ Revision: 545463
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 ovitters <ovitters> 2.38.1-1.mga4
+ Revision: 501304
- new version 2.38.1

* Sun Sep 29 2013 wally <wally> 2.38.0-2.mga4
+ Revision: 489335
- add xfce4-terminal to supported terminals in GIO

* Mon Sep 23 2013 ovitters <ovitters> 2.38.0-1.mga4
+ Revision: 484561
- new version 2.38.0

* Tue Sep 17 2013 ovitters <ovitters> 2.37.93-1.mga4
+ Revision: 480922
- new version 2.37.93

* Mon Sep 16 2013 ovitters <ovitters> 2.37.92-1.mga4
+ Revision: 480366
- new version 2.37.92

* Mon Sep 02 2013 ovitters <ovitters> 2.37.7-1.mga4
+ Revision: 474426
- new version 2.37.7

  + tv <tv>
    - do not package huge ChangeLog

* Tue Aug 20 2013 ovitters <ovitters> 2.37.6-1.mga4
+ Revision: 468304
- new version 2.37.6

* Tue Jul 30 2013 ovitters <ovitters> 2.37.5-1.mga4
+ Revision: 460711
- new version 2.37.5

* Tue Jul 09 2013 ovitters <ovitters> 2.37.4-1.mga4
+ Revision: 452252
- new version 2.37.4

* Mon Jun 24 2013 ovitters <ovitters> 2.37.3-1.mga4
+ Revision: 446291
- new version 2.37.3

* Mon Jun 17 2013 wally <wally> 2.37.2-1.mga4
+ Revision: 444152
- run autoreconf to fix build

  + ovitters <ovitters>
    - new version 2.37.2

* Sat Jun 01 2013 ovitters <ovitters> 2.37.1-1.mga4
+ Revision: 433988
- kill autoreconf

  + tv <tv>
    - new release

* Sun May 26 2013 blino <blino> 2.37.0-1.mga4
+ Revision: 428346
- run autoreconf to workaround automake mismatch
- 2.37.0

* Thu May 23 2013 fwang <fwang> 2.36.2-1.mga4
+ Revision: 425388
- update file list

  + tv <tv>
    - adjust file list
    - new release

* Sat Mar 23 2013 tmb <tmb> 2.34.3-4.mga3
+ Revision: 404698
- disable deprecated schema warnings as done on mga2 (P0)

* Sat Jan 12 2013 umeabot <umeabot> 2.34.3-3.mga3
+ Revision: 351820
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 2.34.3-2.mga3
+ Revision: 323596
- rebuild for new pcre

* Mon Nov 26 2012 ovitters <ovitters> 2.34.3-1.mga3
+ Revision: 322169
- new version 2.34.3

* Sun Nov 11 2012 fwang <fwang> 2.34.2-1.mga3
+ Revision: 316987
- new version 2.34.2

* Tue Oct 16 2012 ovitters <ovitters> 2.34.1-1.mga3
+ Revision: 306899
- new version 2.34.1

* Thu Oct 11 2012 ovitters <ovitters> 2.34.0-2.mga3
+ Revision: 304720
- like Fedora, also disable fam as glib already uses inotify. See http://lists.fedoraproject.org/pipermail/devel/2012-October/172438.htm

* Mon Sep 24 2012 ovitters <ovitters> 2.34.0-1.mga3
+ Revision: 296983
- new version 2.34.0

* Tue Sep 18 2012 fwang <fwang> 2.33.14-1.mga3
+ Revision: 295741
- drop upstream patch
- new version 2.33.14

* Mon Sep 17 2012 tv <tv> 2.33.12-2.mga3
+ Revision: 294821
- fix parsing file names (mga#452, gnome#683871)

* Mon Sep 03 2012 ovitters <ovitters> 2.33.12-1.mga3
+ Revision: 287750
- new version 2.33.12

* Tue Aug 21 2012 ovitters <ovitters> 2.33.10-1.mga3
+ Revision: 282762
- new version 2.33.10

  + tv <tv>
    - try again with man pages

* Wed Aug 08 2012 tv <tv> 2.33.8-1.mga3
+ Revision: 279924
- looks like man pages & HTML doc are no more build
- looks like man pages are no more build

  + ovitters <ovitters>
    - br docbook-style-xsl
    - br docbook-xsl
    - br docbook-dtds,libxml2-utils
    - br xsltproc
    - new version 2.33.8

* Mon Aug 06 2012 luigiwalser <luigiwalser> 2.33.6-2.mga3
+ Revision: 279046
- UsrMove fixes
- rebuild for libffi

* Tue Jul 17 2012 ovitters <ovitters> 2.33.6-1.mga3
+ Revision: 271991
- new version 2.33.6

* Mon Jul 16 2012 ovitters <ovitters> 2.33.4-1.mga3
+ Revision: 271274
- new version 2.33.4

* Mon Jun 25 2012 ovitters <ovitters> 2.33.3-1.mga3
+ Revision: 263740
- update file list
- new version 2.33.3

* Mon Jun 25 2012 ovitters <ovitters> 2.33.2-1.mga3
+ Revision: 263697
- new version 2.33.2

* Tue May 15 2012 ovitters <ovitters> 2.32.3-1.mga3
+ Revision: 235704
- new version 2.32.3
- new version 2.32.2

* Wed Apr 25 2012 ovitters <ovitters> 2.32.1-2.mga2
+ Revision: 233208
- silence deprecated paths message

* Sat Apr 14 2012 ovitters <ovitters> 2.32.1-1.mga2
+ Revision: 230746
- new version 2.32.1

* Sat Mar 24 2012 ovitters <ovitters> 2.32.0-1.mga2
+ Revision: 226066
- new version 2.32.0

* Mon Mar 19 2012 ovitters <ovitters> 2.31.22-1.mga2
+ Revision: 224514
- new version 2.31.22

* Mon Mar 05 2012 wally <wally> 2.31.20-1.mga2
+ Revision: 219097
- new version 2.31.20

* Fri Mar 02 2012 ovitters <ovitters> 2.31.18-1.mga2
+ Revision: 216868
- new version 2.31.18

* Sat Feb 18 2012 ovitters <ovitters> 2.31.16-2.mga2
+ Revision: 210476
- also compile glib schemas when override schema is installed (rpm filetrigger)

* Sun Feb 05 2012 fwang <fwang> 2.31.16-1.mga2
+ Revision: 204545
- new version 2.31.16

* Wed Feb 01 2012 fwang <fwang> 2.31.14-1.mga2
+ Revision: 203810
- update file list
- new version 2.31.14

* Thu Jan 26 2012 fwang <fwang> 2.31.12-5.mga2
+ Revision: 201900
- do not force to use lpthread

* Thu Jan 26 2012 fwang <fwang> 2.31.12-4.mga2
+ Revision: 201808
- foce lpthread for G_THREAD_LIBS

* Mon Jan 23 2012 tv <tv> 2.31.12-3.mga2
+ Revision: 200328
- drop suggests from main lib on common subpackage;
  since basesystem requires systemd that requires libglib,
  we had a whole dep tree that bring in gnome-keyring, gnupg2, dirmnr, colord,
  avahi, gamin & fuse in basesystem...
  let's unbloat this

* Mon Jan 23 2012 dmorgan <dmorgan> 2.31.12-2.mga2
+ Revision: 200180
- Own %%{_libdir}/glib-%%{api_version}

* Sat Jan 21 2012 ovitters <ovitters> 2.31.12-1.mga2
+ Revision: 198964
- new version

* Mon Jan 16 2012 ovitters <ovitters> 2.31.10-1.mga2
+ Revision: 197002
- package new files
- new version

* Tue Jan 10 2012 fwang <fwang> 2.31.8-1.mga2
+ Revision: 194438
- new version 2.31.8

* Mon Dec 19 2011 wally <wally> 2.31.6-1.mga2
+ Revision: 184580
- new version 2.31.6

* Tue Dec 13 2011 fwang <fwang> 2.31.4-1.mga2
+ Revision: 181238
- new version 2.31.4

* Tue Nov 22 2011 fwang <fwang> 2.31.2-1.mga2
+ Revision: 170724
- fix str fmt
- new version 2.31.2

* Tue Nov 08 2011 wally <wally> 2.31.0-2.mga2
+ Revision: 165597
- drop .la files

* Thu Oct 27 2011 wally <wally> 2.31.0-1.mga2
+ Revision: 158649
- new version 2.31.0

* Fri Oct 14 2011 wally <wally> 2.30.1-1.mga2
+ Revision: 155231
- new version 2.30.1

* Tue Sep 27 2011 fwang <fwang> 2.30.0-1.mga2
+ Revision: 149072
- new version 2.30.0

* Sun Sep 18 2011 fwang <fwang> 2.29.92-1.mga2
+ Revision: 145093
- new version 2.29.92

* Fri Sep 16 2011 fwang <fwang> 2.29.90-4.mga2
+ Revision: 144175
- requires /usr/bin/glib-compile-schemas when developing software

* Thu Sep 15 2011 tv <tv> 2.29.90-3.mga2
+ Revision: 143853
- s/requires/suggests/ common subpackage from library one in order to try
  harder not making installing udev ended in installing quite a lot of GNOME
  package (mga#609)
  previous attempt no more work since we now have new auto dependancies

* Wed Sep 14 2011 tv <tv> 2.29.90-2.mga2
+ Revision: 143467
- drop requires on libgio from glib2.0-common that was introduced in order to
  run gio-querymodules-* in  %%post, thus meaning installing udev ended in
  installing quite a lot of GNOME package (mga#609)
  however this is uneeded as those are now called from the gio package itself...

* Tue Sep 06 2011 wally <wally> 2.29.90-1.mga2
+ Revision: 139636
- new version 2.29.90

* Tue Aug 30 2011 fwang <fwang> 2.29.18-1.mga2
+ Revision: 136717
- update file list
- update file list
- new version 2.29.18
- new version 2.29.16
- new version 2.29.14

* Wed Jul 20 2011 fwang <fwang> 2.29.12-1.mga2
+ Revision: 127392
- new version 2.29.12

* Sat Jul 09 2011 cjw <cjw> 2.29.10-1.mga2
+ Revision: 120797
- 2.29.10

* Sun Jul 03 2011 dmorgan <dmorgan> 2.29.8-1.mga2
+ Revision: 117631
- Fix file list
- Fix buildrequires
- New version 2.29.8

* Thu Jun 09 2011 dmorgan <dmorgan> 2.28.8-1.mga2
+ Revision: 102504
- New version 2.28.8

* Fri May 06 2011 ahmad <ahmad> 2.28.6-3.mga1
+ Revision: 95271
- Revert the deleting of .la files, some packages don't build without it

* Thu May 05 2011 ahmad <ahmad> 2.28.6-2.mga1
+ Revision: 95191
- Split static libs in a separate sub-package
- Don't ship .la
- Use %%{__isa_bits} in %%{_bindir}/gio-querymodules-* (less lines in the spec)

* Thu Apr 14 2011 tv <tv> 2.28.6-1.mga1
+ Revision: 85363
- new release

* Thu Apr 07 2011 blino <blino> 2.28.5-2.mga1
+ Revision: 81627
- require libglib for libgio post  (needed for gio-querymodules)

* Sat Apr 02 2011 ahmad <ahmad> 2.28.5-1.mga1
+ Revision: 79751
- update to 2.28.5

* Sun Mar 27 2011 tv <tv> 2.28.4-4.mga1
+ Revision: 77972
- fix biarch install

  + ahmad <ahmad>
    - fix typo in configure options, it's --with-runtime-libdir (Mandriva)

* Sat Mar 26 2011 pterjan <pterjan> 2.28.4-2.mga1
+ Revision: 77863
- Use filetrigger for gio module cache update

* Sat Mar 26 2011 ahmad <ahmad> 2.28.4-1.mga1
+ Revision: 77844
- update to 2.28.4
- move gio-querymodules.1* man page to the common subpackage

* Sat Feb 26 2011 pterjan <pterjan> 2.28.1-1.mga1
+ Revision: 60322
- Update to 2.28.1

* Sun Jan 09 2011 blino <blino> 2.26.1-4.mga1
+ Revision: 2213
- remove old requires/conflicts
- imported package glib2.0

